pion::plugins::CookieService Class Reference

`#include <CookieService.hpp>`

Inherits pion::http::plugin_service.

## Public Member Functions

virtual void | operator() (const pion::http::request_ptr &http_request_ptr, const pion::tcp::connection_ptr &tcp_conn)
| handles requests for CookieService
Public Member Functions inherited from pion::http::plugin_service
| plugin_service (void)
| default constructor
virtual | ~plugin_service ()
| virtual destructor
virtual void | set_option (const std::string &name, const std::string &value)
virtual void | start (void)
| called when the web service's server is starting
virtual void | stop (void)
| called when the web service's server is stopping
void | set_resource (const std::string &str)
| sets the URI stem or resource that is bound to the web service
const std::string & | get_resource (void) const
| returns the URI stem or resource that is bound to the web service
std::string | get_relative_resource (const std::string &resource_requested) const
| returns the path to the resource requested, relative to the web service's location

## Detailed Description

CookieService: web service that displays and updates cookies

Definition at line 22 of file CookieService.hpp.

The documentation for this class was generated from the following files:

- services/CookieService.hpp
- services/CookieService.cpp